--- title: "Get the Radius Configuration for Domain" slug: "get-the-radius-configuration-for-domain" tags: ["Reference", "IPS 10.1.10"] updated: 2026-09-23T09:35:43Z published: 2026-09-23T09:35:43Z canonical: "docs.trellix.com/get-the-radius-configuration-for-domain" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Get the Radius Configuration for Domain This URL retrieves the radius configuration for the domain. ## Resource URL GET /domain//remoteaccess/radius ## Request Parameters URL Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | domainId | Domain id | Number | Yes | ## Response Parameters Following fields are returned. | Field Name | Description | Data Type | | --- | --- | --- | | inheritSettings | Inherit settings from parent | Boolean | | enableRadiusCLIAuthentication | Enable radius configuration flag | Boolean | | primaryRadiusServer | Primary radius server | Object | | secondayRadiusServer | Seconday radius server | Object | | syslogFacility | Syslog facility | String | | syslogPriorityMapping | Attack severity to syslog priority mapping | Object | | message | Message format | String | | filter | What attacks to log | Object | Details of primaryRadiusServer and secondayRadiusServer: | Field Name | Description | Data Type | | --- | --- | --- | | serverIpAddr | IP address | String | | sharedSecret | Shared secret key | String | | authenticationPort | Authentication port | Number | | connectionTimeoutInSeconds | Connection time out in seconds | Number | | enableAccounting | Enable accounting flag | Boolean | | accountingPort | Accounting port | Number | ## Example **Request** GET [https:///sdkapi/domain/0/remoteaccess/radius](https://%3CNSM_IP%3E/sdkapi/domain/0/remoteaccess/radius) **Response** ``` { "inheritSettings": false,       "enableRadiusCLIAuthentication": true,       "primaryRadiusServer":       {           "serverIpAddr": "1.1.1.3",           "sharedSecret": "adsadasl3232",           "authenticationPort": 1812,           "connectionTimeoutInSeconds": 6,           "enableAccounting": false,           "accountingPort": 1813       },       "secondayRadiusServer":       {           "serverIpAddr": "1.1.1.5",           "sharedSecret": "dssdfksdnfsdf",           "authenticationPort": 1812,           "connectionTimeoutInSeconds": 6,           "enableAccounting": false,           "accountingPort": 1813       } } ```   ## Error Information Following error code is returned by this URL: | No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 404 | 1105 | Invalid domain |